FROM artefact.skao.int/ska-build-python:0.1.1 as build

WORKDIR /build

ENV POETRY_VIRTUALENVS_CREATE=false

COPY pyproject.toml poetry.lock ./

RUN poetry install 

FROM artefact.skao.int/ska-python:0.1.2

WORKDIR /app

COPY --from=build /usr/local/ /usr/local/

COPY test_batch.py test_batch_params.py ./
ENTRYPOINT ["python", "test_batch.py"]
